/*
Theme Name:		 GTT Theme
Theme URI:		 https://pixelatedorange.com
Description:	 Theme by Pixelated Orange
Author:			 Pixelated Orange
Author URI:		 https://pixelatedorange.com
Template:		 twentyseventeen
Version:		 1.0
Text Domain:	 GTT
-------------------------------------------------------------- */

@import url("https://use.typekit.net/uqj3acg.css");

/* =GLOBAL */

body{background-color: #1d1d1b; font-family: "arial", sans-serif; color: #1c1d1b}

.site-content-contain{background-color: transparent}

.rounded{border-radius: 10px}

.logged-in-user .logged-out, .logged-out-user .logged-in{display: none}

.hide-user, .role-club_member .gfield_total{height: 1px!important; opacity: 0!important}

.role-club_member li.membership-button, .role-club_member #club{display: none!important}

/* =POSITIONING */

.ilb{display: inline-block}

.height80{height: 80vh; min-height: 800px}

.relative{position: relative}

.absolute{position: absolute}

.absolute-all{top: 0px; bottom: 0px; left: 0px; right: 0px;}


.table{display: table; width: 100%; height: 100%}

.cell{display: table-cell}

.vat{vertical-align: top}

.vam{vertical-align: middle}

.vab{vertical-align: bottom}

.max-width{max-width: 1200px; margin: 0px auto}

.header .max-width{max-width: 700px; margin: 0px auto}


.mt20{margin-top:20px}

.mt40{margin-top:40px}

.mt40o{margin-top:40px!important}

.mt60{margin-top:60px}

.mt100{margin-top:100px}

.mb20{margin-bottom:20px}

.mb40{margin-bottom:40px}

.mb0{margin-bottom:0px}

.pd40{padding: 100px 40px}

.pd30{padding: 30px}

.pb40{padding-bottom:40px}

.pb20{padding-bottom:20px}

.pt40{padding-top:40px}

.pb0{padding-bottom:0px}

.pb0o{padding-bottom:0px!important}

.mlrauto{margin-left:auto; margin-right:auto}


/* =IMAGES */

.oh{overflow: hidden}

.lh0{line-height: 0px}

.cover{background-size: cover}


/* =FLEX */

.flex{display: flex; flex-wrap: wrap}

.glex1{flex: 1}

.gap4{gap: 4px}

.gap20{gap: 20px}

.gap40{gap: 40px}

.gap100{gap: 100px}

.justify-start{justify-content: flex-start}

.justify-center{justify-content: center}

.justify-end{justify-content: flex-end}

.justify-between{justify-content: space-between}

.align-top{align-items: flex-start}

.align-center{align-items: center}

.align-bottom{align-items: flex-end}

.self-top{align-self: flex-start}

.self-middle{align-self: center}

.self-bottom{align-self: flex-end}

.gap40 .third{width: calc(40% - 20px)}

.gap40 .two-thirds{width: calc(60% - 20px)}

.gap100 .half{width: calc(50% - 50px)}

.gap4 .half{width: calc(50% - 2px)}

.gap20 .half{width: calc(50% - 10px)}

.full{width: 100%}


/* =COLOURS */

.yellow{color: #eac783}

.pink{color: #e18bb2}

.white{color: #ffffff}

.grey{color: #1d1d1b}


.yellow-bg{background-color: #d3bfa3}

.pink-bg{background-color: #e18bb2}

.grey-bg{background-color: #1d1d1b}

.white-bg{background-color: #ffffff}


.top-bottom-gradient{background: linear-gradient(0deg,rgba(29, 29, 27, 1) 0%, rgba(29, 29, 27, 0.17) 100%);}

.bottom-top-gradient{background: linear-gradient(180deg,rgba(29, 29, 27, 1) 0%, rgba(29, 29, 27, 0.17) 100%);}


/* =TEXT */

.acumin{font-family: "acumin-variable",sans-serif; font-variation-settings: 'wght' 700, 'wdth' 50, 'slnt' 0;}

.open-sans{font-family: "open-sans", sans-serif; font-weight: 700; font-style: normal}

.tal{text-align: left}

.tac{text-align: center}

.tar{text-align: right}

.uppercase{text-transform: uppercase;}

.bold{font-weight: 700}


/* =BUTTONS */

a.button, .gform-footer button, .register-button button, .acf-form-submit input.button-large, .gpb-manage-booking-actions button, .gform_confirmation_message a.button{padding: 10px 40px!important; display: inline-block; border: 2px solid #000000!important; border-radius: 100px!important; text-transform: uppercase!important; font-weight: 700!important; font-family: "open-sans", sans-serif!important; position: relative; overflow: hidden; height: auto}

a.button:hover, .register-button button:hover{padding-left:30px; padding-right:30px}

.gform_confirmation_message a.button{background-color: #e18bb2!important; border-color: #e18bb2!important}

.gform_confirmation_message a.button:hover{border-color: #1d1d1b!important; background-color: #1d1d1b!important}

a.button span{position: relative; z-index: 2}

a.button:before{position: absolute; top: 0px; bottom: 0px; left: 0px; right: 100%; content: ''; background-color: #ffffff; border-radius: 100px}

a.button:hover:before{right: 0px}

a.button:after{font-family: "Font Awesome 6 Pro"; content: '\f178'; margin-left:20px; position: relative; z-index: 2}

.booking-card a.button:after{display: none!important}

a.button:hover:after{margin-left:40px}

a.white-button{border-color: #e18bb2!important; color: #ffffff}

a.button:before{background-color: #e18bb2}

a.solid-white-button{border-color: #ffffff!important; background-color: #ffffff}

a.white-border-button{border-color: #ffffff!important}

a.white-border-button:after{color: #ffffff}

a.white-border-button:before{background-color: #ffffff}

a.white-border-button:hover:after, a.white-border-button:hover span{color: #1d1d1b}


/* =ANIMATE */

a, a.button, a.button:before, a.button:before, a.button:after, a.button span, .gpb-manage-booking-actions button, wa-tab::part(base){-webkit-transition: all 0.6s!important; transition: all 0.6s!important;}


/* =POPUP */

.contact-popup .fbx-inner{border-radius: 10px!important}

.contact-popup.fbx-show{background-color: rgba(29, 29, 27, 0.8)!important; -webkit-backdrop-filter: blur(10px)!important;}

.popup-inner{padding: 30px; font-family: "arial", sans-serif;}

.popup-inner h2{font-size: 60px; line-height: 1em}

.fbx-social-toggle{display: none!important}

.gform-footer{justify-content: center!important; text-align: center}

.popup-inner a:not(.button){color: #e18bb2; font-weight: 700}



.gform-footer button, .register-button button, .acf-form-submit input.button-large, .gpb-manage-booking-actions button{background-color: #e18bb2!important; border-color: #e18bb2!important; font-size: 16px!important; line-height: 24px!important}

.gform-footer button:hover, .register-button button:hover, .acf-form-submit input.button-large:hover{border-color: #1d1d1b!important; background-color: #1d1d1b!important}




/* =HEADER */

.site-header{position: fixed; top: 0px; left: 0px; right: 0px; z-index: 1000; background-color: transparent}

.navigation-top{position: relative; top: 0; bottom: auto; left: 0; right: 0; background-color: transparent; border: none}

a.header-logo{padding: 0px; width: 140px; position: relative}

a.header-logo img{position: relative; z-index: 2}

.main-navigation{display: flex; gap: 20px}

.menu-main-menu-container{display: flex; align-items: center; background-color: rgba(29, 29, 27, 0.8); border-radius: 10px; flex: 1; -webkit-backdrop-filter: blur(10px);}

.menu-main-menu-container ul{display: flex!important; justify-content: space-between; width: 100%; padding-left:20px!important; padding-right:20px!important}

.menu-main-menu-container ul a{color: #ffffff!important; text-transform: uppercase; font-family: "open-sans", sans-serif; font-weight: 700; font-style: normal}

.menu-main-menu-container ul a:hover, .menu-main-menu-container ul li.contact-link a{color: #e18bb2!important}

a.menu-highlight{color: #eac783!important}



.main-navigation i{margin-right:5px}

.navigation-top .wrap{max-width: 1260px}

.role-club_member .hide-member{display: none!important}

.main-navigation li{margin-left:0px!important}

/* =FOOTER */

.site-footer{border: none}

.footer-text{font-size: 12px}

.footer-menu ul{list-style: none; margin-bottom:0px}

.footer-menu li{display: inline-block}

.footer-menu a{color: #ffffff}

.footer-menu a:hover{color: #eac783}

.footer-menu a:before{content: '|'; margin: 0px 10px; color: #ffffff!important}

.footer-logo{width: 100%; max-width: 80px}

#menu-footer-menu li{margin-left:0px!important}


/* =MOBILE MENU */

#rmp_menu_trigger-83:not(.is-active) .responsive-menu-pro-inner::before{bottom: auto; top: 11px}

.rmp-menu-wrap{margin: 100px 20px 20px; background-color: rgba(29, 29, 27, 0.8); -webkit-backdrop-filter: blur(10px); height: calc(100vh - 140px); border-radius: 10px; display: flex!important; align-items: center}

a.rmp-menu-item-link{padding-left:20px!important; padding-right:20px!important; text-transform: uppercase; font-size: 30px!important; font-weight: 700!important; height: 60px!important; line-height: 60px!important}



/* =FRONT PAGE */

/* =FRONT PAGE HEADER */

.header-text h1, .custom-content h2, .insta-row h2, .club-become h2{padding-top:0px; font-family: "acumin-variable",sans-serif; font-variation-settings: 'wght' 700, 'wdth' 50, 'slnt' 0; text-transform: uppercase; color: #ffffff; font-size: 60px; line-height: 1em}

.header-text h4, .custom-content h4{font-family: "open-sans", sans-serif; font-weight: 700; font-style: normal; text-transform: uppercase; color: #eac783; margin-bottom:0px; font-size: 16px}

.header-text p{color: #ffffff}

.header-text p strong, #benefits .half p strong, .benefits-quote strong, .club-become h2 strong{color: #eac783}


/* =FRONT PAGE INTRO */

.custom-content h2{color: #1c1d1b}

.custom-content h4{color: #ffffff}

.stage-number{width: 40px; font-size: 40px; line-height: 0.9em}

.stage-text{width: calc(100% - 40px)}


/* =FRONT PAGE BENEFITS */

#benefits .custom-content h4{color: #e18bb2}

#benefits .custom-content h2{color: #ffffff}

#benefits p{color: #ffffff}

#benefits .half p{margin-bottom:10px}

.benefits-quote h2{margin-bottom:0px}

.benefits-quote strong:first-child{color: #e18bb2}


/* =FRONT PAGE CLASSES */

.class-half-image{border-radius: 10px 10px 0px 0px; border-bottom:4px solid #1d1d1b;}

.class-half-content{border-radius: 0px 0px 10px 10px}

.class-half:first-child{background-color: #e18bb2}

.class-half:last-child{background-color: #d3bfa3}

.class-half-content ul{list-style: none}

.class-half:first-child .class-half-content li strong{color: #ffffff}

.class-half-content{color: #1d1d1b}


/* =FRONT PAGE CLUB */

.club-become{border: 2px solid #ffffff}

.club-become p{color: #ffffff}

.club-become p strong{color: #e18bb2}

.club-become p a{color: #eac783}


/* =FRONT PAGE FIND */

.bottom-quote h2{color: #ffffff}

.find-content .half:first-child{border-radius: 10px 0px 0px 10px; background-color: rgba(29, 29, 27, 0.8); -webkit-backdrop-filter: blur(10px);}

.find-content .custom-content h2{color: #ffffff}

.find-content .custom-content a:not(.button){color: #e18bb2; font-weight: 700}


.map iframe{margin-bottom:0px; line-height: 0px}

.map{overflow:hidden; position:relative; height: 100%; border-radius: 0px 10px 10px 0px}

.map iframe{left:0; top:0; height:100%; width:100%; position:absolute;}



/* =FRONT PAGE INSTA */

a.insta-icon{font-size: 48px}

a.insta-icon:hover{color: #e18bb2}

.insta-row h2 a:hover{color: #eac783}

.FeedGridLayout__cell{border-radius: 10px; overflow: hidden}



/* =USER PROFILE PAGE */

.page-template-user-profile-page .site-content{padding-top:120px}

.gfield_label, .register label{font-weight: 700!important; text-transform: uppercase!important; font-size: 12px!important}

.register label span{margin-bottom:8px; display: block}

.register label input{border-color: #000000}

.register label input.error{border-color: red}

.register label input.filled{border-color: green}


.password-field{position: relative}

.toggle-password{position: absolute; top: 0px; bottom: 0px; left: auto; right: 40px; text-align: right; margin-bottom:0px; line-height: 46px}

p.password-match-msg, .email-check-msg{margin-top:5px}

.green, .membership-cta .club{color: green}

.red, .membership-cta .basic{color: red}

.login-error{text-align: center}



.acf-form-submit{text-align: center}


.logout-wrap a.logout-button{color: #e18bb2; font-weight: 700; text-transform: uppercase}


.acf-fields .register{display: flex; flex-wrap: wrap; gap: 20px}

.acf-half{width: calc(50% - 10px)!important; margin-bottom:0px!important}

.register .full{margin-top:0px}

.acf-half input, .full input, .full textarea{padding: 0.7em!important; border-radius: 3px; font-size: 16px!important; line-height: 1.5!important; border-color: #000000}

.acf-switch.-on{background: #e18bb2!important; border-color: #e18bb2!important}

.acf-switch.-on .acf-switch-slider{border-color: #e18bb2!important}

.acf-switch .acf-switch-on{text-shadow: #e18bb2 0 1px 0!important}


.page-template-user-profile-page h3{font-family: "acumin-variable",sans-serif; font-variation-settings: 'wght' 700, 'wdth' 50, 'slnt' 0; font-size: 44px; color: #1c1d1b; text-transform: uppercase; padding-top:0px}


/* =BOOKINGS */

.hidden-field{display: none!important}

body.page-template-manage-booking-page, .components-surface{background-color: transparent}

.page-template-manage-booking-page .site-content{padding: 0px!important}

.gpb-manage{padding: 0px!important}

.gpb-manage-booking{margin-bottom:0px!important}

.components-card__header, .components-surface, .gpb-manage-booking{border: none!important; box-shadow: none!important}

.components-card__header{flex-wrap: wrap!important; justify-content: center}

.gpb-manage-booking-header{width: 100%!important; flex-wrap: wrap; margin-bottom:0px!important}

.gpb-manage-booking-header h3, .gpb-manage-booking-customer{display: none!important}

.gpb-manage-booking-status{text-align: center; text-transform: uppercase; font-weight: 700; color: #e18bb2!important}

.gpb-manage-booking-resources{width: 100%!important; text-align: center; margin: 0px!important}

.gpb-manage-booking-resource{padding-left:0px!important; font-family: "acumin-variable",sans-serif; font-variation-settings: 'wght' 700, 'wdth' 50, 'slnt' 0; font-size: 34px!important; color: #1c1d1b!important; text-transform: uppercase}

.gpb-manage-booking-resource:before, .gpb-manage-booking-restrictions{display: none!important}

.gpb-manage-booking-resource:after{content: ' Class'}

.gpb-manage-booking-times{display: flex; justify-content: center; gap: 40px}

button.gpb-booking-time-picker__back{background-color: transparent!important; padding: 0px!important; color: #1c1d1b!important}


.booking-card{width: 20%}


.booking-day{width: 160px; aspect-ratio: 1 / 1; background-color: #d3bfa3; border-radius: 20px }

.booking-day span{font-family: "acumin-variable",sans-serif; font-variation-settings: 'wght' 700, 'wdth' 50, 'slnt' 0; font-size: 50px; color: #ffffff}

.gpb-manage-booking-actions, .gpb-manage-booking-reschedule-actions{justify-content: center!important; text-align: center}

.gpb-manage-booking-actions button, .gpb-manage-booking-reschedule-actions button{width: 200px; border-radius: 100px; display: inline-block; border: 2px solid #e18bb2!important; background-color: #ffffff!important; text-transform: uppercase; font-family: "open-sans", sans-serif!important; padding: 10px 40px!important; height: auto; box-shadow: none!important; color: #1c1d1b!important}

.gpb-booking-time-picker, .rdp-months, .rdp-month{max-width: 100%!important; width: 100%!important}

button.rdp-day_button{margin-left: auto; margin-right:auto}

.rdp-chevron{fill:#e18bb2!important}

td.rdp-day{padding-right:0px!important}


.gpb-booking-time-picker__slots h4{text-align: center}

.gpb-booking-time-picker__grid{grid-template-columns: none!important}

.gpb-booking-time-picker__grid button{background-color: #e18bb2!important; text-transform: uppercase; border: none!important}

.gpb-booking-time-picker__content{min-height: 100px!important}


.gpb-manage-booking-actions button:hover{background: #1c1d1b!important; border-color: #1c1d1b!important; color: #ffffff!important}

.rdp-today{color: #e18bb2!important; font-weight: 700}

.rdp-day:not(.rdp-disabled) button.rdp-day_button{border-color: #e18bb2}

.rdp-day:not(.rdp-disabled) button.rdp-day_button:hover{background-color: #e18bb2}

.rdp-selected button.rdp-day_button{background-color: #e18bb2!important; border-color: #e18bb2!important; color: #ffffff!important}

.gfield--type-total label{text-align: center; justify-content: center}

.gfield--type-total input, .monthly-price input{max-width: 100%!important; width: 100%!important; text-align: center; font-size: 20px!important; font-weight: 700!important; color: #e18bb2!important}

a.manage-link{text-transform: uppercase; display: block; padding-top:10px; font-weight: 700; color: #e18bb2}

.booking-cancelled{opacity: 0.5}

.booking-cancelled a{pointer-events: none}



.monthly-price, .monthly-price label{text-align: center!important}

.monthly-price label{justify-content: center}

.ginput_product_price_label{display: none!important}


wa-tab{border: none!important}

wa-tab::part(base){padding: 0px 0px 5px; text-transform: uppercase; margin-right: 30px; font-family: open-sans, sans-serif!important; font-size: 14px; font-weight: 700; border: none!important; color: #1c1d1b}

wa-tab-group::part(nav){border: none!important; box-shadow: none!important}

wa-tab[active]::part(base), wa-tab::part(base):hover {color: #e18bb2!important}


/* =IPAD LANDSCAPE
------------------------------------------------------- */
@media only screen and (min-width:911px) and (max-width: 1170px){

/* =GLOBAL */

/* =POSITIONING */

/* =IMAGES */

/* =FLEX */

.gap100{gap: 60px}

.gap100 .half{width: calc(50% - 30px)}

/* =COLOURS */

/* =TEXT */

/* =BUTTONS */

/* =ANIMATE */

/* =POPUP */

/* =HEADER */

#top-menu li:not(.contact-link){display: none!important}

.menu-main-menu-container ul{justify-content: flex-end; padding-right:90px!important; padding-right:50px}

.navigation-top nav{margin-left:0px}

.navigation-top .wrap{padding-left:40px; padding-right:40px}

.rmp-menu-wrap{margin-left:40px; margin-right:40px}

/* =FOOTER */

/* =FRONT PAGE */

/* =FRONT PAGE HEADER */

/* =FRONT PAGE INTRO */

/* =FRONT PAGE BENEFITS */

/* =FRONT PAGE CLASSES */

/* =FRONT PAGE FIND */



.page-template-user-profile-page .content-area{margin-left:40px; margin-right:40px}

}


/* IPAD PORTRAIT */
@media only screen and (min-width:641px) and (max-width: 910px)  {

/* =GLOBAL */

/* =POSITIONING */

/* =IMAGES */

/* =FLEX */

.gap100{gap: 60px}

.gap100 .half{width: calc(50% - 30px)}

/* =COLOURS */

/* =TEXT */

/* =BUTTONS */

/* =ANIMATE */

/* =POPUP */

.contact-popup .fbx-inner{margin-left: 30px!important; margin-right: 30px!important; width: calc(100% - 60px)!important; left: 0px!important}

.fbx-close{left: 0px!important; width: 100%!important; background-color: transparent!important}

/* =HEADER */

.site-header{padding: 20px 40px}

#top-menu{background-color: transparent!important; border: none!important}

#top-menu li:not(.contact-link){display: none!important}

button.rmp_menu_trigger{top: 26px!important; right: 55px!important}

.menu-main-menu-container ul{justify-content: flex-end; padding-right:90px!important}

.rmp-menu-wrap{margin-left:40px; margin-right:40px}

.navigation-top .wrap{padding: 0px!important}

.navigation-top nav{margin-left:0px!important}

/* =FOOTER */

/* =FRONT PAGE */

/* =FRONT PAGE HEADER */

/* =FRONT PAGE INTRO */

#intro .third, #intro .two-thirds{width: 100%}

#intro .third{text-align: center}

#intro .third img{max-width: 80%; margin: 0px auto; border-radius: 10px}

/* =FRONT PAGE BENEFITS */

.benefits-quote h2{font-size: 55px}

/* =FRONT PAGE CLASSES */

#classes .half{width: 80%; margin: 0px 10%}

/* =FRONT PAGE FIND */

.find-content .half{width: 100%}

.find-content .half:first-child{border-radius: 10px 10px 0px 0px}

.map{border-radius: 0px 0px 10px 10px; height: 400px}




.page-template-user-profile-page .content-area{margin-left:40px; margin-right:40px}

.booking-card{width: calc(50% - 20px)}
}


/* =IPHONE
------------------------------------------------------- */
@media only screen and (max-width: 640px) {

/* =GLOBAL */

/* =POSITIONING */

.pd40{padding-left:20px; padding-right:20px; padding-bottom:20px}

.pd30{padding: 20px}

/* =IMAGES */

/* =FLEX */

.gap100, .gap40{gap: 20px}

/* =COLOURS */

/* =TEXT */

.header-text h1, .custom-content h2{font-size: 50px}

/* =BUTTONS */

a.button{padding-left:20px!important; padding-right:20px!important}

a.button:hover:after{margin-left:20px}

/* =ANIMATE */

/* =POPUP */

.fbx-close{left: 0px!important; width: 100%!important; background-color: transparent!important}

/* =HEADER */

#top-menu{background-color: transparent!important; border: none!important}

#top-menu li:not(.contact-link){display: none!important}

.site-header{padding: 20px }

a.header-logo{width: 120px}

.main-navigation > div > ul{padding: 0px}

button.rmp_menu_trigger{top: 20px!important; right: 25px!important}

/* =FOOTER */

.footer-text{text-align: left}

.menu-footer-menu, .footer-menu li, .footer-menu{display: block!important; width: 100%!important}

.footer-menu li{}

.footer-menu li a:before{display: none}

/* =FRONT PAGE */

/* =FRONT PAGE HEADER */

.header-text{padding-left:20px; padding-right:20px;}

/* =FRONT PAGE INTRO */

.gap40 .third, .gap40 .two-thirds, .half{width: 100%!important}

/* =FRONT PAGE BENEFITS */

#benefits .gap100{gap: 0px}

/* =FRONT PAGE CLASSES */

/* =FRONT PAGE FIND */

.map{height: 400px; border-radius: 0px 0px 10px 10px}

.find-content .half:first-child{border-radius: 10px 10px 0px 0px}


/* =FRONT PAGE INSTA */

a.insta-icon{display: none!important}


/* =PROFILE */

.booking-card{width: calc(50% - 20px)}

.fbx-inner{width: 90%!important; margin-left:5%!important; left: 0px!important}

.booking-day{width: 100%}


.page-template-user-profile-page .content-area{margin-left:20px; margin-right:20px}

.register-button span{display: inline-block; width: calc(100% - 40px); text-wrap: wrap}

.membership-cta h3{font-size: 34px; line-height: 38px}

.gpb-booking-time-picker__header{display: block!important}

.gpb-booking-time-picker__header div{width: 100%; text-align: center}

}